com.independentsoft.exchange

## Enum TransitionTarget

- java.lang.Object
- - java.lang.Enum<TransitionTarget>
  - - com.independentsoft.exchange.TransitionTarget

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransitionTarget>

      public enum TransitionTarget
      extends java.lang.Enum<TransitionTarget>

  Identifies whether the time zone transition target is a time zone period of a group of time zone transitions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP` Specifies that the time zone transition target is a group of time zone transitions.
    `PERIOD` Specifies that the time zone transition target is a time zone period.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransitionTarget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransitionTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERIOD

          public static final TransitionTarget PERIOD

      Specifies that the time zone transition target is a time zone period.

    - #### GROUP

          public static final TransitionTarget GROUP

      Specifies that the time zone transition target is a group of time zone transitions.

  - ### Method Detail

    - #### values

          public static TransitionTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransitionTarget c : TransitionTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransitionTarget valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null